Bug 19102 - remote smtp sends not working
remote smtp sends not working
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: nmh (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-14 06:01 EDT by Dave Peticolas
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-14 16:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Peticolas 2000-10-14 06:01:34 EDT
I do not run sendmail, instead I use an external smtp server. Prior to
upgrading
to 7.0, I had successfully configured nmh to use the external server to
deliver
mail. After upgrading to 7.0 and updating the new /etc/nmh/mts.conf file
with
the values I used in 6.2, an nmh 'send' operation fails with:

post: problem initializing server; [BHST] premature end-of-file on pipe

I can successfully send through the external smtp server using other mailer
programs.
Comment 1 Dave Peticolas 2000-10-14 06:27:32 EDT
Ok, I have figured out the problem. nmh was compiled with the
--with-mts=sendmail option,
which disables smtp support. This is probably related to the spec file ChangeLog
entry:

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- talk to sendmail, not to a local SMTP server

I think this is wrong -- sendmail should have an open smtp port so using smtp
does
not prevent using the local sendmail process if there is one. But using sendmail
exclusively
prevents the use of external stmp servers.
Comment 2 Alan Cox 2000-10-14 14:14:15 EDT
There is a move towards 7.x releases having sendmail configured by default to
have no listening ports open on the desktop (for obvious reasons). This is an
unexpected and undesirable side effect that needs looking into.
Comment 3 Dave Peticolas 2000-10-14 16:51:09 EDT
Would it be possible to configure sendmail to only open the loopback smtp port,
rather than the smtp ports on all interfaces?
Comment 4 Florian La Roche 2001-02-14 11:06:12 EST
sendmail per default now only listens on the loopback device, but most other
apps also reply on /usr/sbin/sendmail. I think it makes sense to also
require that for nmh, so I leave it like it is now.
Best solution would be to have this as a runtie option to either use
smtp or a local app. (Haven't looked too closely at nmh.)





Comment 5 Dr. Tilmann Bubeck 2001-06-22 17:57:28 EDT
I got the same error when using nmh on RedHat 7.1 together with postfix. The 
problem with postfix/nmh is, that nmh does not find the sendmail binary. Nmh 
is looking for /usr/lib/sendmail but if you use postfix, then it will be in 
/usr/sbin/sendmail.

Two solutions:
  (a) make a link from /usr/lib/sendmail to /usr/sbin/sendmail
  (b) set "sendmail: /usr/sbin/sendmail" in /etc/nmh/mts.conf telling nmh
      where to find the binary

Solution (a) was taken by RedHat building the sendmail RPM. It contains the 
link of (a). But the postfix RPM does not contain this link, so it does not 
work with nmh.

Florian/RedHat: Could you please add the link
            /usr/lib/sendmail -> /usr/sbin/sendmail
to the postfix package? It would increase compatibility to nmh and many other 
programs expecting sendmail in /usr/lib/sendmail?

Note You need to log in before you can comment on or make changes to this bug.